Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 1138383008: Support the full-screen state when showing a chrome window (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 3 months ago by joone
Modified:
2 years, 3 months ago
Reviewers:
sky
CC:
chromium-reviews, tfarina, sadrul, Elliot Glaysher
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Support the full-screen state when showing a chrome window The SHOW_STATE_FULLSCREEN state has not been supported in Windows so this CL implements it and allows browser_tests to pass the test for creating a full screen extension window without manually calling setFullscreenMode(). BUG=473228 Committed: https://crrev.com/051aece17c0e035938cdd99233967f1cba865b4a Cr-Commit-Position: refs/heads/master@{#330602}

Patch Set 1 #

Patch Set 2 : Pass the test case without condition for Windows #

Total comments: 2

Messages

Total messages: 13 (3 generated)
joone
Please take a look at this CL.
2 years, 3 months ago (2015-05-14 23:29:57 UTC) #2
sadrul
--> sky@ for Windows change.
2 years, 3 months ago (2015-05-15 00:45:09 UTC) #4
sky
Test coverage?
2 years, 3 months ago (2015-05-18 17:12:36 UTC) #5
joone
On 2015/05/18 17:12:36, sky wrote: > Test coverage? There is a test case for creating ...
2 years, 3 months ago (2015-05-19 01:19:53 UTC) #6
sky
https://codereview.chromium.org/1138383008/diff/20001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/1138383008/diff/20001/ui/views/win/hwnd_message_handler.cc#newcode574 ui/views/win/hwnd_message_handler.cc:574: SetFullscreen(true); I'm a bit nervous about invoking this before ...
2 years, 3 months ago (2015-05-19 04:20:04 UTC) #7
joone
https://codereview.chromium.org/1138383008/diff/20001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/1138383008/diff/20001/ui/views/win/hwnd_message_handler.cc#newcode574 ui/views/win/hwnd_message_handler.cc:574: SetFullscreen(true); On 2015/05/19 04:20:04, sky wrote: > I'm a ...
2 years, 3 months ago (2015-05-19 17:40:49 UTC) #8
sky
Got it, LGTM
2 years, 3 months ago (2015-05-19 19:49:52 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1138383008/20001
2 years, 3 months ago (2015-05-19 19:52:10 UTC) #11
commit-bot: I haz the power
Committed patchset #2 (id:20001)
2 years, 3 months ago (2015-05-19 20:51:22 UTC) #12
commit-bot: I haz the power
2 years, 3 months ago (2015-05-19 20:53:17 UTC) #13
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/051aece17c0e035938cdd99233967f1cba865b4a
Cr-Commit-Position: refs/heads/master@{#330602}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b